function result = norm2( p )
[b,a]=tfdata(p,'v');
[stable,table]=routh(a);
if(strcmp(stable,'unstable'))
    error('The system is unstable.');
end
if (b(1)~=0)
    error('The system is not strictly proper.');
end
for i=1:ceil((length(b)-1)/2)
    table2(1,i)=b(2*i);
    if (i*2+1)<=length(b)
        table2(2,i)=b(2*i+1);
    else
    table2(2,i)=0;
    end
end
for i=3:length(a)
    for j=1:ceil((length(a)-1)/2)-1
        table2(i,j)=table2(i-2,j+1)-table2(i-2,1)*table(i-1,j+1)/table(i-1,1);
    end
    table2(i,j+1)=0;
end
result=0;
for k=2:length(a)
    result=result+table2(k-1,1)^2/(2*table(k,1)*table(k-1,1));
end
result=sqrt(result);
return;